%% ---------------------------------------------------------------------------
%% @doc 转职头文件
%% @author zhaoyu
%% @since  2020-02-18
%% ---------------------------------------------------------------------------

-ifndef(TRANSFORM_HRL).
-define(TRANSFORM_HRL, ok).

%% 最大转生数
-define(MAX_TURN,   data_transform:get_transform_max_id()).

%% 转职流程配置
-record(transform_step, {
        id = 0                      %% 转职Id
        ,stage = 0                  %% 阶段
        ,need_lev = 0               %% 等级要求
        ,open_day = 0               %% 开服天数要求
        ,task_id = 0                %% 对应任务Id
        ,skill_list = []            %% 解锁技能
        ,attr_list = []             %% 附加属性
        ,equipment_series = 0       %% 装备解锁代数
        ,reward = []                %% 奖励列表
        ,show_reward = []           %% 展示奖励列表
    }
).

%% 角色转职数据
-record(transform_info, {
        transform_id = 0            %% 转职Id
        ,stage = 0                  %% 阶段
        ,skill_list = []            %% 解锁技能
        ,attr_list = []             %% 附加属性
    }
).

%% 角色转职数据
-define(SAVE_TRANSFORM_INFO, <<"REPLACE INTO `transform_info` (`role_id`, `transform_id`, `stage`) values (~p, ~p, ~p)">>).
-define(LOAD_TRANSFORM_INFO, <<"SELECT `transform_id`, `stage` FROM `transform_info` WHERE `role_id` = ~p">>).

-endif.                             %% TRANSFORM_HRL


